{% extends 'base.html' %}

{% block content %}
    <h3>{{ post.title }}</h3>
    {% if request.user == post.author or request.user.is_staff %}
        <a href="{% url 'blog:post-update' post.pk %}" class="btn btn-primary">Update</a>
        <a href="{% url 'blog:post-delete' post.pk %}" class="btn btn-danger">Delete</a>
    {% endif %}
    <p>Modified {{ post.modify_time|timesince }}</p>
    <p>{{ post.author }} posted at {{ post.create_time|date:"Y-b-d" }}</p>
    <p>{{ post.text }}</p>

    <div>
        <h4>Comments</h4>
        <hr/>
        <ul>

            {% for comment in post.comment_set.all %}
                <li>
                    <p>{{ comment.author }} commented</p>
                    <p>{{ comment.text }}</p>
                </li>
            {% endfor %}
        </ul>
        <div class="w-50 mx-auto">
            <form method="post" action="{% url 'blog:comment-create' %}">
                {% csrf_token %}
                <input name="post" value="{{ post.pk }}" hidden/>
                <div class="mb-3">
                    <label for="text" class="form-label">Text</label>
                    <textarea name="text" class="form-control" id="text" rows="4"></textarea>
                </div>
                <button class="btn btn-primary">Comment</button>
            </form>
        </div>

    </div>

{% endblock %}